Categories:
  - Multimedia
License: GPL-3.0-only
AuthorName: junkfood
SourceCode: https://github.com/JunkFood02/Seal
IssueTracker: https://github.com/JunkFood02/Seal/issues
Translation: https://hosted.weblate.org/projects/seal
Changelog: https://github.com/JunkFood02/Seal/releases

AutoName: Seal

RepoType: git
Repo: https://github.com/JunkFood02/Seal.git

Builds:
  - versionName: 0.0.9-alpha08
    versionCode: 98
    commit: a2763801006c3904f7791148318ab115092ad833
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes
    prebuild: sed -i -e '/(keystorePropertiesFile.exists())$/d' build.gradle.kts
    gradleprops:
      - noSplits

  - versionName: 1.0.0
    versionCode: 10000
    commit: 3b6899b031fcb9cb2d92236e8caae276cfae4900
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes
    prebuild: sed -i -e '/(keystorePropertiesFile.exists())$/d' build.gradle.kts
    gradleprops:
      - noSplits

  - versionName: 1.0.1
    versionCode: 10010
    commit: 95fd76c3e8567802fc94d29bae16c4349c817f3b
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes
    prebuild: sed -i -e '/(keystorePropertiesFile.exists())$/d' build.gradle.kts
    gradleprops:
      - noSplits

  - versionName: 1.0.2
    versionCode: 10020
    commit: e99569b6464baa9fca26b4c37a2a392e3ffa6127
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes
    prebuild: sed -i -e '/(keystorePropertiesFile.exists())$/d' build.gradle.kts
    gradleprops:
      - noSplits

  - versionName: 1.0.3
    versionCode: 10030
    commit: 0bd6c1e85a5835d6be0c1558adcdf481b7117c57
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes
    prebuild: sed -i -e '/(keystorePropertiesFile.exists())$/d' build.gradle.kts
    gradleprops:
      - noSplits

  - versionName: 1.0.4
    versionCode: 10040
    commit: ea3a6ddd21c498bb50b3ee6b18d8cac26b00d56d
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes
    prebuild: sed -i -e '/(keystorePropertiesFile.exists())$/d' build.gradle.kts
    gradleprops:
      - noSplits

  - versionName: 1.0.5
    versionCode: 10050
    commit: e7033c7451c2d39a027a57542ddf4d33e9318c9c
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes
    prebuild: sed -i -e '/(keystorePropertiesFile.exists())$/d' build.gradle.kts
    gradleprops:
      - noSplits

  - versionName: 1.1.0
    versionCode: 10100
    commit: 9a2a850831ba782d7923439a2d7fc77f509cc9b8
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes
    prebuild: sed -i -e '/(keystorePropertiesFile.exists())$/d' -e '/youtubedlAndroidVersion/s/0.13.3/42c7dfcee1/'
        build.gradle.kts
    gradleprops:
      - noSplits

  - versionName: 1.2.0 (F-Droid)
    versionCode: 10200
    commit: 48b29064c4ae190c7c30c321d4daa48d04835edf
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes
    prebuild: sed -i -e '/(keystorePropertiesFile.exists())$/d' -e '/youtubedlAndroidVersion/s/0.13.3/42c7dfcee1/'
        build.gradle.kts
    gradleprops:
      - noSplits

  - versionName: 1.2.1-(F-Droid)
    versionCode: 10210
    commit: c9024ff8feef2ba7acf5db4f6581f43a51953dc6
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes
    prebuild: sed -i -e '/(keystorePropertiesFile.exists())$/d' -e '/youtubedlAndroidVersion/s/0.13.3/42c7dfcee1/'
        build.gradle.kts
    gradleprops:
      - noSplits

AutoUpdateMode: Version +-(F-Droid) %v
UpdateCheckMode: Tags ^v[0-9.]+$
UpdateCheckData: app/build.gradle.kts|versionCode\s=\s(\d+)||v(.*)
CurrentVersion: 1.2.1
CurrentVersionCode: 10210
